/*
*  RcFiles verze 0.3 cz
*  
*  source/rcfiles.h
*  snapshot 20031221
*  
*  (c) 27.3.2002 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


/* sget_sections - vraci pri neuspechu NULL
*  pri uspechu ukazatel na pole stringu a pocet stringu v *pocet
*  rcfile je nazev souboru ve kterem hleda sekce
*/
extern char **sget_sections(int *pocet, const char *rcfile);
extern char **fget_sections(int *pocet, FILE *f);

/* sget_strs - vraci pri neuspechu NULL
*  pri uspechu ukazatel na pole stringu a pocet stringu v *pocet
*  rcfile je nazev souboru ve kterem hleda sekci
*  sekce je jmeno sekce, ze ktere opise radky (prazdne ignoruje)
*/
extern char **sget_strs(int *pocet, const char *rcfile, const char *sekce);
extern char **fget_strs(int *pocet, FILE *f, const char *sekce);

/* sget_item - vraci pri neuspechu NULL
*  pri uspechu ukazatel na string
*  rcfile je nazev souboru ve kterem hleda polozku
*  sekce je jmeno sekce, ze ktere opise polozku
*  polozka je jmeno polozky
*/
extern char *sget_item(const char *sekce, const char *polozka, const char *rcfile);
extern char *fget_item(const char *sekce, const char *polozka, FILE *f);

extern int sget_buf_item(char *buff, unsigned max, const char *sekce, const char *polozka, const char *rcfile);
extern int fget_buf_item(char *buff, unsigned max, const char *sekce, const char *polozka, FILE *f);
