/*
*  WhatsNew utility
*  
*  source/reporter.h
*  snapshot 20040207
*  
*  (c) 27.3.2002, 24.12.2003 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#include <stdio.h>
#include "mydblib.h"


#define MAXREPLINE 1024

#define REP_NEW                 0
#define REP_DELETED             1
#define REP_MODIFIED            2
#define REP_UNREACHABLED        3


extern int rep_init(char *rep_file, char *tmp_file);
extern void rep_finish(void);
extern void rep_writeln(const char *msgfmt, ...);
extern void rep_write(struct h_entry *entry, int rep_event);
extern FILE *rep_getfd(void);
