/*
*  WhatsNew utility
*  
*  source/slash.c
*  snapshot 20031224
*  
*  (c) 27.3.2002, 24.12.2003 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#include <string.h>
#include "slash.h"


int slash_str(char what, char *buffer, int max)
{
        int i = 0;
        int n;
        int ret = 0;


        while(buffer[i] != '\0'){
                if((buffer[i] == SLASHCHAR) || (buffer[i] == what)){

                        if(max > (int)(strlen(buffer) + 1)){
                                n = (int) strlen(buffer) + 1;
                        } else {
                                n = (int) strlen(buffer) - 1;
                                ret = 1;
                        }

                        while(n != i){
                                buffer[n] = buffer[n - 1];
                                n--;
                        }

                        buffer[n] = SLASHCHAR;
                        i++;

                        if(buffer[i] == '\0'){
                                i--;
                                buffer[n] = '\0';
                        }
                }
                i++;
        }

        return ret;
}


void unslash_str(char *buffer)
{
        int i = 0;
        int n;


        while(buffer[i] != '\0'){
                if(buffer[i] == SLASHCHAR){
                        n = 0;
                        while(buffer[i + n] != '\0'){
                                buffer[i + n] = buffer[i + n + 1];
                                n++;
                        }
                
                }
                i++;
        }

        return;
}
