/*
*  WhatsNew utility
*  
*  source/statistics.h
*  snapshot 20040207
*  
*  (c) 27.3.2002, 24.12.2003 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#include <stdio.h>
#include <sys/types.h>


struct s_stat {
        clock_t start;
        clock_t stop;
        long all_files;
        long new_files;
        long modified_files;
        long deleted_files;
};


extern void st_start(struct s_stat *st);
extern void st_stop(struct s_stat *st);
extern void st_print(FILE *f, struct s_stat *st);
extern void st_add(struct s_stat *target, struct s_stat *source);
