/*
*  WhatsNew utility
*  
*  source/common.h
*  snapshot 20040325
*  
*  (c) 27.3.2002, 24.12.2003 Jaroslav Beran berk@volny.cz http://www.volny.cz/berk
*  License GNU/GPL2  
*/


#include <stdio.h>


#ifdef __linux__
        #define DIVIDER "/"
#else
        #define DIVIDER "\\"
#endif


extern void strip_sp(char *s);

extern int add_entry(char ***arr, int *size, char *entry);
extern int arr_contain(char **arr, int n, char *s);
extern void free_array(char ***arr, int max);

extern char *dup_str(char *s);
extern int add_str(char **where, char *what);
extern int add_buf_str(char *where, char *what, int max);

extern char *build_path(const char *dir, const char *fn, const char *ext);

extern FILE *my_fopen(char *path, char *filename, char *mode);
extern int my_touch(char *filename);
extern int my_touch2(char *path, char *filename);
